MICHELEPISANI.IT
 

Current version is 22.6.2.v2.... Please update ADT to the last version.

This Android SDK requires ADT version 23.0.0 or above

This Android SDK requires Android Developer Toolkit version 23.0.0 or above.
Agosto 03
07:442014

All'apertura di Eclipse può capitare di trovarsi di fronte ad uno strano messaggio di errore dell'Android SDK che cita "This Android SDK requires Android Developer Toolkit version 23.0.0 or above. Current version is 22.6.2.v201403212031-1085508. Please update ADT to the last version.".
La versione corrente potrebbe essere diversa da quella indicata poco sopra ma l'ho inserita nella sua forma completa in modo da rendere l'idea di come l'errore può apparire all'occhio, Fig. 1, e che in italiano suonerebbe più o meno così "Questo SDK Android richiede una versione dell'Android Developer Toolkit pari a 23.0.0 o superiore. La versione corrente è 22.6.2.v201403212031-1085508. Si prega di aggiornare l'ADT all'ultima versione.".

This Android SDK requires Android Developer Toolkit version 23.0.0 or above. Current version is... Please update ADT to the last version.

Fig. 1 - This Android SDK requires Android Developer Toolkit version 23.0.0 or above. Current version is 22.6.2.v201403212031-1085508. Please update ADT to the last version.



A prima vista l'errore restituito non sembra creare problemi ma in realtà è estramamente bloccante, basti pensare al fatto che al primo step della creazione di un nuovo progetto Android nonostante si inserisca un Application name può essere segnalato un falso problema ("Enter an application name (shown in launcher)") oppure nonostante il nome del package sia nel formato corretto ci può essere comunicato "A package name must not contain two consecutive dots".

Si capisce pertanto che c'è qualcosa di fondo che non funziona più come dovrebbe, a mio avviso un problema di conflitti tra le varie installazioni e aggiornamenti eseguiti nel tempo dell'ADT.

Ho effettuato diversi tentativi prima di arrivare ad un'effettiva soluzione, ho provato prima ad aggiornare l'SDK dal tool dedicato (anche se la versione era già stata palesemente aggiornata), successivamente l'aggiornamento tramite l'apposita funzionalità di Eclipse (dove ricevevo l'errore "The operation cannot be completed. See the details" i cui dettagli mi facevano presente che c'erano dei conflitti con le installazioni) ed infine cancellando e facendo ricreare al riavvio dell'IDE la cartella ".android".
Tutti tentativi vani.


Soluzione:
La soluzione tuttavia, come spesso accade, è nella schermata dell'errore stesso e più precisamente "Please update ADT to the last version" ma dato che con i tentativi prima citati non è stato possibile rinasare la situazione, non rimane altro che fare una cosa... installare direttamente l'ultima versione dell'SDK dal sito ufficiale per gli sviluppatori Android: http://developer.android.com/sdk/index.html#download
Tra l'altro installando l'ADT Bundle ci troveremo già a disposizione l'IDE Eclipse con l'Android Developer Tools incorporato e la sua semplice installazione è consultabile sempre dal sito ufficiale: http://developer.android.com/sdk/installing/index.html?pkg=adt, che in breve prevede di estrarre l'archivio in una cartella della "HOME directory" e lanciare l'eseguibile "eclipse.exe".

 

Tags
Condividi

Autore

Michele Pisani

Michele Pisani

Ho uno spiccato orientamento al problem-solving, se è troppo facile non mi diverto :)
Credo nella volontà e nel cambiamento perchè hanno fatto della mia passione il mio pane quotidiano.
Se devo descrivermi con una sola parola direi... "Concretezza", la mia stretta di mano è una garanzia.

0 Commenti

Non ci sono commenti

Nessuno ha ancora commentato questo articolo, fallo tu per primo!

Scrivi un Commento

Scrivi un Commento

Il tuo indirizzo email non sarà pubblicato.
I campi contrassegnati da un * sono obbligatori

Articoli e Argomenti correlati

Categorie popolari

Iscriviti alla mia newsletter

La tua e-mail con me sarà al sicuro.
Non fornirò mai le tue informazioni a nessuno!

Ultimi commenti

Michele Pisani

Grazie Paolo,
spero possa tornarti utile per i tuoi scopi.

Paolo

salve,mi interessa il progetto sensore gas ,per applicazioni in agricoltura.Vedremo gli …

Michele Pisani

Ciao Rossana,
strano problema, una domanda: continui a visualizzare entrambe le pagine o una …

Rossana

Ciao Michele, il mio problema è che Facebook non mi risponde. Mi è successo tre volte: faccio …